Bug 124097 - LOCALHELP: write help page(s) for Dialog Control EVENTS (to bind to macros)
Summary: LOCALHELP: write help page(s) for Dialog Control EVENTS (to bind to macros)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: LibreOfficiant
URL: https://help.libreoffice.org/6.3/en-U...
Whiteboard:
Keywords: difficultyBeginner, skillScript
Depends on: 127604
Blocks: Help-Link
  Show dependency treegraph
 
Reported: 2019-03-15 10:51 UTC by LibreOfficiant
Modified: 2019-09-17 14:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LibreOfficiant 2019-03-15 10:51:33 UTC
The following help page is missing or not found:

1. Select any control properties within an existing dialog
2. Click the events tab
3. Click the (assign) [Component] button
4. Press the Component dialog [help] button

User is redirected to Basic help main page.

User should be displayed the following help page:
https://help.libreoffice.org/6.3/en-US/text/shared/01/06140500.html?DbPAR=SHARED#bm_id3152427
which in turn should be enhanced to include component related material
Comment 2 LibreOfficiant 2019-03-15 16:25:13 UTC
Same symptom when using the Macro selector:

1. Select any control properties within an existing dialog
2. Click the events tab
3. Click the (assign) [Macro] button
4. Press the macro selector [help] button

User is redirected to Basic help main page.
Comment 3 Drew Jensen 2019-03-15 18:53:18 UTC
tested with Ubuntu 16.04 and LO 6.3Alpha

So change two steps:

3. Click inside the Assign component text area. (instead of the button)
4. Press F1

and the display file is [localpath]/libreofficedev6.3/help/en-US/text/shared/02/01170103.html?System=UNIX&DbPAR=BASIC&HID=EXTENSIONS_HID_EVT_ACTIONPERFORMED#bm_id3155923

The html page is focused to the entry for the Assign event, as expected.

So will set this as confirmed as it seems that the macro picker should be able to be as smart as the event property dialog.
Comment 4 LibreOfficiant 2019-03-21 13:20:36 UTC
Assigning myself the documentation aspect of this ticket
Comment 5 Xisco Faulí 2019-06-26 09:06:55 UTC
Dear LibreOfficiant,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 6 LibreOfficiant 2019-09-17 14:24:44 UTC
Bug report #127604 opened for amending extra help page
Another Bug code report shall be opened later to update UI core code logic

Bug resolved